#!/usr/bin/env python
# -*- coding: utf-8 -*-

FONT_SIZE=10
RASTER=14

# ----------------------------------------------------------------------
# Richtet point am Raster aus und liefert die neue Koordinate zurück.
def pointOnRaster(point):
    x=int(point[0]/RASTER)*RASTER
    y=int(point[1]/RASTER)*RASTER
    return (x, y)

# ----------------------------------------------------------------------
# Liefert True, wenn color_str das Format "#xxxxxx" einhält - wobei
# "x" einem validen Hex-Zeichen entspricht.
def testColor(color_str):
    if len(color_str)!=7:
        return False
    if color_str[0]!="#":
        return False
    for c in color_str[1:]:
        if c not in "0123456789abcdefABCDEF":
            return False
    return True

# ----------------------------------------------------------------------
# Richtet das übergebene Rectangle so aus, dass der erste Point
# links/oben vom zweiten Point liegt.
def normalizeRectangle(rect):
    (x1, y1), (x2, y2)=rect
    return (min(x1, x2), min(y1, y2)), (max(x1, x2), max(y1, y2))
